#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libsigsegv-2.15

- Next

  libstatgrab-0.92.1

- Up
- Home

# libssh2-1.11.1

## Introduction to libssh2

Libssh2 package is a client-side C library implementing the SSH2 protocol.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://www.libssh2.org/download/libssh2-1.11.1.tar.gz

- Download MD5 sum: 38857d10b5c5deb198d6989dacace2e6

- Download size: 1.0 MB

- Estimated disk space required: 15 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### libssh2 Dependencies

#### Optional

CMake-4.3.2 (can be used instead of the configure script), libgcrypt-1.12.2 (can be used instead of OpenSSL), OpenSSH-10.3p1 (for some tests), and Docker (for some tests)

## Installation of libssh2

Install libssh2 by running the following commands:

    ./configure --prefix=/usr          \
                --disable-docker-tests \
                --disable-static       &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-docker-tests`: Disable the tests requiring Docker, which is beyond the scope of BLFS. Remove this switch if you've installed Docker and you wish to run the test suite.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libssh2.so
Installed Directories: None

### Short Descriptions

`libssh2.so` | contains functions to use the SSH2 protocol

- Prev

  libsigsegv-2.15

- Next

  libstatgrab-0.92.1

- Up
- Home